> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meetsquad.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List all integrations

> Returns all integrations for the workspace



## OpenAPI

````yaml /openapi/squad-api.json get /org/{orgId}/workspace/{workspaceId}/integration
openapi: 3.1.0
info:
  title: Squad API
  version: 4.8.0
  description: API for managing Squad resources
  contact:
    name: Squad Support
    url: https://www.meetsquad.ai/support
    email: help@meetsquad.ai
servers:
  - url: https://api.meetsquad.ai
    description: Production server
  - url: https://uat.api.meetsquad.ai
    description: Staging server
  - url: https://dev.api.meetsquad.ai
    description: Development server
security: []
tags:
  - name: Organisations
  - name: Workspaces
  - name: Goals
  - name: Opportunities
  - name: Solutions
  - name: Feedback
  - name: Submit Feedback
  - name: Insights
  - name: Knowledge
  - name: Metrics
  - name: Topics
  - name: Integrations
  - name: AI & Search
  - name: Onboarding
paths:
  /org/{orgId}/workspace/{workspaceId}/integration:
    get:
      tags:
        - Integrations
      summary: List all integrations
      description: Returns all integrations for the workspace
      operationId: listIntegrations
      parameters:
        - in: path
          name: orgId
          schema:
            type: string
          required: true
          description: Organization ID
          example: a5f3c6e1-9d20-4f7b-8e31-d09a2b63c184
        - in: path
          name: workspaceId
          schema:
            type: string
          required: true
          description: Workspace ID
          example: c0e195d9-b918-4a3a-bd8b-f730361d044f
      responses:
        '200':
          description: List of integrations
          content:
            application/json:
              schema:
                description: Response containing an array of integrations
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Integration'
                required:
                  - data
                additionalProperties: false
        '401':
          description: Unauthorized
      security:
        - bearerAuth: []
components:
  schemas:
    Integration:
      description: Integration record
      oneOf:
        - $ref: '#/components/schemas/NotionIntegration'
        - $ref: '#/components/schemas/TypeformIntegration'
        - $ref: '#/components/schemas/AppStoreIntegration'
        - $ref: '#/components/schemas/PlayStoreIntegration'
        - $ref: '#/components/schemas/GoogleReviewsIntegration'
        - $ref: '#/components/schemas/TrustpilotIntegration'
        - $ref: '#/components/schemas/GongIntegration'
      type: object
      discriminator:
        propertyName: integrationId
        mapping:
          NOTION:
            $ref: '#/components/schemas/NotionIntegration'
          TYPEFORM:
            $ref: '#/components/schemas/TypeformIntegration'
          APP_STORE_REVIEWS:
            $ref: '#/components/schemas/AppStoreIntegration'
          PLAY_STORE_REVIEWS:
            $ref: '#/components/schemas/PlayStoreIntegration'
          GOOGLE_REVIEWS:
            $ref: '#/components/schemas/GoogleReviewsIntegration'
          TRUSTPILOT_REVIEWS:
            $ref: '#/components/schemas/TrustpilotIntegration'
          GONG:
            $ref: '#/components/schemas/GongIntegration'
    NotionIntegration:
      description: Notion integration record
      type: object
      properties:
        id:
          type: number
        integrationId:
          type: string
          const: NOTION
        workspaceId:
          type: string
        organisationId:
          type: string
        config:
          $ref: '#/components/schemas/NotionResponseConfig'
        createdAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        updatedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
      required:
        - id
        - integrationId
        - workspaceId
        - organisationId
        - config
        - createdAt
        - updatedAt
      additionalProperties: false
    TypeformIntegration:
      description: Typeform integration record
      type: object
      properties:
        id:
          type: number
        integrationId:
          type: string
          const: TYPEFORM
        workspaceId:
          type: string
        organisationId:
          type: string
        config:
          $ref: '#/components/schemas/TypeformResponseConfig'
        createdAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        updatedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
      required:
        - id
        - integrationId
        - workspaceId
        - organisationId
        - config
        - createdAt
        - updatedAt
      additionalProperties: false
    AppStoreIntegration:
      description: App Store Reviews integration record
      type: object
      properties:
        id:
          type: number
        integrationId:
          type: string
          const: APP_STORE_REVIEWS
        workspaceId:
          type: string
        organisationId:
          type: string
        config:
          $ref: '#/components/schemas/AppStoreResponseConfig'
        createdAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        updatedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
      required:
        - id
        - integrationId
        - workspaceId
        - organisationId
        - config
        - createdAt
        - updatedAt
      additionalProperties: false
    PlayStoreIntegration:
      description: Play Store Reviews integration record
      type: object
      properties:
        id:
          type: number
        integrationId:
          type: string
          const: PLAY_STORE_REVIEWS
        workspaceId:
          type: string
        organisationId:
          type: string
        config:
          $ref: '#/components/schemas/PlayStoreResponseConfig'
        createdAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        updatedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
      required:
        - id
        - integrationId
        - workspaceId
        - organisationId
        - config
        - createdAt
        - updatedAt
      additionalProperties: false
    GoogleReviewsIntegration:
      description: Google Reviews integration record
      type: object
      properties:
        id:
          type: number
        integrationId:
          type: string
          const: GOOGLE_REVIEWS
        workspaceId:
          type: string
        organisationId:
          type: string
        config:
          $ref: '#/components/schemas/GoogleReviewsResponseConfig'
        createdAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        updatedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
      required:
        - id
        - integrationId
        - workspaceId
        - organisationId
        - config
        - createdAt
        - updatedAt
      additionalProperties: false
    TrustpilotIntegration:
      description: Trustpilot Reviews integration record
      type: object
      properties:
        id:
          type: number
        integrationId:
          type: string
          const: TRUSTPILOT_REVIEWS
        workspaceId:
          type: string
        organisationId:
          type: string
        config:
          $ref: '#/components/schemas/TrustpilotResponseConfig'
        createdAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        updatedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
      required:
        - id
        - integrationId
        - workspaceId
        - organisationId
        - config
        - createdAt
        - updatedAt
      additionalProperties: false
    GongIntegration:
      description: Gong integration record
      type: object
      properties:
        id:
          type: number
        integrationId:
          type: string
          const: GONG
        workspaceId:
          type: string
        organisationId:
          type: string
        config:
          $ref: '#/components/schemas/GongResponseConfig'
        createdAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        updatedAt:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
      required:
        - id
        - integrationId
        - workspaceId
        - organisationId
        - config
        - createdAt
        - updatedAt
      additionalProperties: false
    NotionResponseConfig:
      description: Notion integration configuration in API response (sanitized)
      type: object
      properties:
        active:
          description: Whether the Notion integration is active
          example: false
          type: boolean
        created_by:
          description: User ID who created this integration
          example: d4e71c2b-a498-42af-b7f5-69de06a0d7c4
          type: string
        last_synced_at:
          description: Last time data was synced from Notion
          example: '2025-03-26T22:35:46Z'
          type:
            - string
            - 'null'
      required:
        - active
        - created_by
      additionalProperties: false
    TypeformResponseConfig:
      description: Typeform integration configuration in API response (sanitized)
      type: object
      properties:
        active:
          description: Whether the Typeform integration is active
          example: true
          type: boolean
        created_by:
          description: User ID who created this integration
          example: d4e71c2b-a498-42af-b7f5-69de06a0d7c4
          type: string
      required:
        - active
        - created_by
      additionalProperties: false
    AppStoreResponseConfig:
      description: App Store integration configuration in API response (sanitized)
      type: object
      properties:
        active:
          description: Whether the App Store integration is active
          example: true
          type: boolean
        app_name:
          description: Name of the app
          example: My Awesome App
          type: string
        app_id:
          description: Apple App Store numeric app ID
          example: '375380948'
          type: string
          pattern: ^\d+$
        created_by:
          description: User ID who created this integration
          example: d4e71c2b-a498-42af-b7f5-69de06a0d7c4
          type: string
        total_reviews_read:
          description: Total number of reviews read so far
          example: 150
          type: integer
          minimum: 0
          maximum: 9007199254740991
        last_read_reviews_id:
          description: ID of the last review that was read
          example: '12345678'
          type:
            - string
            - 'null'
        image_url:
          description: URL of the app icon/image
          example: https://example.com/app-icon.png
          type: string
          format: uri
        last_review_count:
          description: Number of reviews in the last sync
          example: 5
          type: integer
          minimum: 0
          maximum: 9007199254740991
        last_read_reviews_date:
          description: Unix timestamp of the last review read
          example: 1698765432
          type:
            - integer
            - 'null'
        last_run_date:
          description: Unix timestamp of the last sync run
          example: 1698765432
          type:
            - integer
            - 'null'
        country:
          description: ISO 3166-1 alpha-2 country code (lowercase)
          example: us
          type: string
          minLength: 2
          maxLength: 2
      required:
        - active
        - app_name
        - app_id
        - created_by
        - total_reviews_read
        - last_read_reviews_id
        - image_url
        - last_review_count
        - last_read_reviews_date
        - last_run_date
        - country
      additionalProperties: false
    PlayStoreResponseConfig:
      description: Play Store integration configuration in API response (sanitized)
      type: object
      properties:
        active:
          description: Whether the Play Store integration is active
          example: true
          type: boolean
        app_name:
          description: Name of the app
          example: Telegram
          type: string
        app_id:
          description: Google Play Store package name
          example: org.telegram.messenger
          type: string
          maxLength: 150
          pattern: ^[a-zA-Z][a-zA-Z0-9_]*(\.[a-zA-Z][a-zA-Z0-9_]*)+$
        created_by:
          description: User ID who created this integration
          example: d4e71c2b-a498-42af-b7f5-69de06a0d7c4
          type: string
        total_reviews_read:
          description: Total number of reviews read so far
          example: 150
          type: integer
          minimum: 0
          maximum: 9007199254740991
        last_read_reviews_id:
          description: ID of the last review that was read
          example: gp:12345678
          type:
            - string
            - 'null'
        image_url:
          description: URL of the app icon/image
          example: https://example.com/app-icon.png
          type: string
          format: uri
        last_review_count:
          description: Number of reviews in the last sync
          example: 5
          type: integer
          minimum: 0
          maximum: 9007199254740991
        last_read_reviews_date:
          description: Unix timestamp of the last review read
          example: 1698765432
          type:
            - integer
            - 'null'
        last_run_date:
          description: Unix timestamp of the last sync run
          example: 1698765432
          type:
            - integer
            - 'null'
        country:
          description: ISO 3166-1 alpha-2 country code (lowercase)
          example: us
          type: string
          minLength: 2
          maxLength: 2
      required:
        - active
        - app_name
        - app_id
        - created_by
        - total_reviews_read
        - last_read_reviews_id
        - image_url
        - last_review_count
        - last_read_reviews_date
        - last_run_date
        - country
      additionalProperties: false
    GoogleReviewsResponseConfig:
      description: Google Reviews integration configuration in API response (sanitized)
      type: object
      properties:
        active:
          description: Whether the Google Reviews integration is active
          example: true
          type: boolean
        business_name:
          description: Name of the business
          example: Google Sydney
          type: string
        place_id:
          description: Google Maps place ID
          example: ChIJN1t_tDeuEmsRUsoyG83frY4
          type: string
        created_by:
          description: User ID who created this integration
          example: d4e71c2b-a498-42af-b7f5-69de06a0d7c4
          type: string
        total_reviews_read:
          description: Total number of reviews read so far
          example: 150
          type: integer
          minimum: 0
          maximum: 9007199254740991
        last_read_reviews_id:
          description: ID of the last review that was read
          example: ChZDSUhNMG9nS0VJQ0FnSUMxbHFyMFlnEAE
          type:
            - string
            - 'null'
        last_review_count:
          description: Number of reviews in the last sync
          example: 5
          type: integer
          minimum: 0
          maximum: 9007199254740991
        last_read_reviews_date:
          description: Unix timestamp of the last review read
          example: 1698765432
          type:
            - integer
            - 'null'
        last_run_date:
          description: Unix timestamp of the last sync run
          example: 1698765432
          type:
            - integer
            - 'null'
        country:
          description: ISO 3166-1 alpha-2 country code (lowercase)
          example: au
          type: string
          minLength: 2
          maxLength: 2
        location_code:
          description: DataForSEO location code (derived from country)
          example: 2036
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        language_code:
          description: ISO 639-1 language code (lowercase)
          example: en
          type: string
          minLength: 2
          maxLength: 2
      required:
        - active
        - business_name
        - place_id
        - created_by
        - total_reviews_read
        - last_read_reviews_id
        - last_review_count
        - last_read_reviews_date
        - last_run_date
        - country
        - location_code
        - language_code
      additionalProperties: false
    TrustpilotResponseConfig:
      description: Trustpilot integration configuration in API response (sanitized)
      type: object
      properties:
        active:
          description: Whether the Trustpilot integration is active
          example: true
          type: boolean
        domain:
          description: Domain of the business on Trustpilot
          example: meetsquad.ai
          type: string
        business_name:
          description: Name of the business (extracted from domain or first review)
          example: Squad
          type: string
        created_by:
          description: User ID who created this integration
          example: d4e71c2b-a498-42af-b7f5-69de06a0d7c4
          type: string
        total_reviews_read:
          description: Total number of reviews read so far
          example: 150
          type: integer
          minimum: 0
          maximum: 9007199254740991
        last_read_reviews_id:
          description: ID of the last review that was read (rank_absolute as string)
          example: '1'
          type:
            - string
            - 'null'
        last_review_count:
          description: Number of reviews in the last sync
          example: 5
          type: integer
          minimum: 0
          maximum: 9007199254740991
        last_read_reviews_date:
          description: Unix timestamp of the last review read
          example: 1698765432
          type:
            - integer
            - 'null'
        last_run_date:
          description: Unix timestamp of the last sync run
          example: 1698765432
          type:
            - integer
            - 'null'
      required:
        - active
        - domain
        - business_name
        - created_by
        - total_reviews_read
        - last_read_reviews_id
        - last_review_count
        - last_read_reviews_date
        - last_run_date
      additionalProperties: false
    GongResponseConfig:
      $ref: '#/components/schemas/GongDbConfig'
      description: Gong integration configuration in API response
    GongDbConfig:
      description: Gong integration configuration stored in database
      type: object
      properties:
        active:
          description: Whether the Gong integration is active
          example: true
          type: boolean
        created_by:
          description: User ID who created this integration
          example: d4e71c2b-a498-42af-b7f5-69de06a0d7c4
          type: string
        composio_connection_id:
          description: Composio connection ID for managing the OAuth connection
          example: conn_abc123
          type: string
        webhook_public_key:
          description: >-
            RSA public key from Gong for webhook JWT verification. User pastes
            this from Gong UI after configuring the webhook.
          example: |-
            -----BEGIN PUBLIC KEY-----
            MIIBI...
            -----END PUBLIC KEY-----
          type: string
      required:
        - active
        - created_by
        - composio_connection_id
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT authentication for organization-scoped endpoints.

````